\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}


\begin{document}
\definecolor{wrwrwr}{rgb}{0.3803921568627451,0.3803921568627451,0.3803921568627451}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-5.35,-5) rectangle (5.3,8.1);
\fill [line width=1.5pt, color=J2] (0,4) circle (4cm);
\fill [line width=1.5pt, color=G2] (3,-2.189373568050918) circle (2.189373568050918cm);
\fill [line width=1.5pt, color=A2] (-3.22,-2.02) circle (2.020396000787964cm);
\draw[line width=1.5pt] (2.541748871279319,0) -- (2.541748871279319,-0.4582511287206811) -- (3,-0.4582511287206811) -- (3,0) -- cycle; 
\draw[line width=1.5pt] (1.5577728213255144,-0.7471463893764324) -- (1.8818053019302976,-0.4231139087716494) -- (1.5577728213255146,-0.09908142816686633) -- (1.2337403407207315,-0.42311390877164934) -- cycle; 
\draw[line width=1.5pt] (2.9806568253694685,-3.9203879358560743) -- (2.522434304618522,-3.915267540321884) -- (2.5173139090843324,-4.373490061072831) -- (2.975536429835279,-4.378610456607021) -- cycle; 
\draw[line width=1.5pt] (-2.787356886239392,-4.314213156467163) -- (-2.782236490705202,-3.8559906357162164) -- (-3.240459011456149,-3.8508702401820267) -- (-3.2455794069903385,-4.309092760932973) -- cycle; 
\draw[line width=1.5pt] (-1.8159849478682297,-3.4728391973606105) -- (-2.1033305260117428,-3.175501274607371) -- (-2.400668448764982,-3.4628468527508844) -- (-2.113322870621469,-3.7601847755041238) -- cycle;
\draw[line width=1.5pt] (-3.18,0) -- (-3.187896609901517,-0.3987788000265922) -- (-2.789117809874925,-0.40667540992810924) -- (-2.781221199973408,-0.007896609901517027) -- cycle;
\draw[line width=1.5pt] (-3.048850164957336,2.19764106270478) -- (-3.282049368907955,2.5921182207894726) -- (-3.676526526992648,2.358919016838853) -- (-3.4433273230420287,1.9644418587541606) -- cycle; 
\draw[line width=1.5pt] (2.504394644141407,1.495605355858593) -- (2.180362163536624,1.1715728752538102) -- (2.504394644141407,0.8475403946490272) -- (2.82842712474619,1.1715728752538102) -- cycle; 
\draw[line width=1.5pt] (-2.0345120133592483,-1.319186659831158) -- (-1.8013128094086288,-1.7136638179158505) -- (-1.406835651323936,-1.480464613965231) -- (-1.6400348552745554,-1.0859874558805385) -- cycle; 
\draw [line width=1.5pt] (0,4) circle (4cm);
\draw [line width=1.5pt,domain=-7.235569211126006:6.589816628011405] plot(\x,{(-0-0*\x)/-4});
\draw [line width=1.5pt] (3,-6.275263556994533) -- (3,9.926360473244541);
\draw [line width=1.5pt] (0,0)-- (0,4);
\draw [line width=1.5pt] (0,4)-- (2.82842712474619,1.1715728752538102);
\draw [line width=1.5pt,domain=-7.235569211126006:6.589816628011405] plot(\x,{(--4.686291501015241-2.82842712474619*\x)/-2.82842712474619});
\draw [line width=1.5pt] (3,-2.189373568050918) circle (2.189373568050918cm);
\draw [line width=1.5pt] (3,-2.189373568050918)-- (3,0);
\draw [line width=1.5pt,domain=-7.235569211126006:6.589816628011405] plot(\x,{(--7.857767435016642--3.4433273230420287*\x)/-2.0355581412458394});
\draw [line width=1.5pt] (-3.4433273230420287,1.9644418587541606)-- (0,4);
\draw [line width=1.5pt] (-3.22,-2.02) circle (2.020396000787964cm);
\draw [line width=1.5pt,domain=-7.235569211126006:6.589816628011405] plot(\x,{(--9.51302328799261--0.024463570164721116*\x)/-2.1892368885561027});
\draw [line width=1.5pt] (-3.22,-2.02)-- (-3.2455794069903385,-4.309092760932973);
\draw [line width=1.5pt] (-3.22,-2.02)-- (-1.6400348552745554,-1.0859874558805385);
\draw [line width=1.5pt] (-3.22,-2.02)-- (-3.18,0);
\draw [line width=1.5pt] (-3.22,-2.02)-- (-1.8159849478682297,-3.4728391973606105);
\draw [line width=1.5pt] (1.2337403407207315,-0.42311390877164934)-- (3,-2.189373568050918);
\draw [line width=1.5pt] (3,-2.189373568050918)-- (2.975536429835279,-4.378610456607021);
\draw [line width=1.5pt] (-1.8159849478682297,-3.4728391973606105)-- (-2.1033305260117428,-3.175501274607371);
\draw [line width=1.5pt] (-2.1033305260117428,-3.175501274607371)-- (-2.400668448764982,-3.4628468527508844);
\draw [line width=1.5pt] (-2.400668448764982,-3.4628468527508844)-- (-2.113322870621469,-3.7601847755041238);
\draw [line width=1.5pt] (-2.113322870621469,-3.7601847755041238)-- (-1.8159849478682297,-3.4728391973606105);
\draw [line width=1.5pt] (-3.18,0)-- (-3.187896609901517,-0.3987788000265922);
\draw [line width=1.5pt] (-3.187896609901517,-0.3987788000265922)-- (-2.789117809874925,-0.40667540992810924);
\draw [line width=1.5pt] (-2.789117809874925,-0.40667540992810924)-- (-2.781221199973408,-0.007896609901517027);
\draw [line width=1.5pt] (-2.781221199973408,-0.007896609901517027)-- (-3.18,0);
\begin{Large}
\draw[color=black] (0.06596268516843941,-0.3) node {$Q$};
\draw[color=black] (3.392696152710879,0.3241979646561832) node {$T$};
\draw[color=black] (2.723029026127661,0.8) node {$S$};
\draw[color=black] (-3.8008249167153054,1.9443603676800905) node {$R$};
\draw[color=black] (-3.239168617000348,0.4106066261507916) node {$P$};
\draw[color=black] (-1.5325975524818238,-3.5425896372275423) node {$N$};
\draw[color=black] (2.636620364633052,-4.7) node {$W$};
\draw[color=black] (-3.6064054283524354,-4.687504402031104) node {$M$};
\draw[color=black] (-2.0942538521967813,-0.9) node {$O$};
\draw[color=black] (0.865242803993571,-0.3) node {$U$};
\draw[color=black] (4.85,0.3) node {$(d_1)$};
\draw[color=black] (-4.9,3.5) node {$(d_2)$};
\draw[color=black] (-4.9,-4.7) node {$(d_3)$};
\draw[color=black] (4.85,2.6) node {$(d_4)$};
\draw[color=black] (2.5,7.75) node {$(d_5)$};

\draw[color=black] (-4.75,-2.25) node {$(C_1)$};
\draw[color=black] (4.75,-2.25) node {$(C_2)$};
\draw[color=black] (0,7.5) node {$(C_3)$};
\end{Large}
\end{tikzpicture}
\end{document}